Bug Hunting Session
Bug 76953 - SLIDESHOW: cannot start show at selected slide
Summary: SLIDESHOW: cannot start show at selected slide
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other Windows (All)
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: BSA target:4.4.0 target:4.3.0.0.beta2...
Keywords:
: 77203 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-04-02 14:53 UTC by y.lemenes
Modified: 2016-01-27 14:07 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
test slides (13.05 KB, application/vnd.oasis.opendocument.presentation)
2014-04-26 02:09 UTC, le.m.duc
Details
State of the bug at October 16 2014 (361 bytes, text/plain)
2014-10-16 17:28 UTC, y.lemenes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description y.lemenes 2014-04-02 14:53:23 UTC
Problem description: Impress slideshow
see below

Steps to reproduce:
1. ....
2. ....

Current behavior:
slide show begins anyway at the first slide, whatever F5 or Shift-F5

Expected behavior:
slide show should begin at plain F5, as in versions 3
Alternatively, Shift-F5 to begin at selected slide
              
Operating System: Windows 7
Version: 4.2.2.1 release
Comment 1 sophie 2014-04-09 11:55:11 UTC
Hi, could you provide the slideshow. I could not reproduce with 4.2.3.3 under Unbunt 13.10. Thanks - Sophie
Comment 2 y.lemenes 2014-04-11 13:08:39 UTC
OK, Sophie, but I shall not send you the slide before april 22nd : I am  
far from my office for holiday :-)

Le 09/04/2014 13:55, bugzilla-daemon@freedesktop.org a écrit :
> sophie <mailto:gautier.sophie@gmail.com> changed bug 76953 
> <https://bugs.freedesktop.org/show_bug.cgi?id=76953>
> What 	Removed 	Added
> CC 		gautier.sophie@gmail.com
>
> *Comment # 1 <https://bugs.freedesktop.org/show_bug.cgi?id=76953#c1> 
> on bug 76953 <https://bugs.freedesktop.org/show_bug.cgi?id=76953> from 
> sophie <mailto:gautier.sophie@gmail.com> *
> Hi, could you provide the slideshow. I could not reproduce with 4.2.3.3 under
> Unbunt 13.10. Thanks - Sophie
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You reported the bug.
>
Comment 3 le.m.duc 2014-04-26 02:09:35 UTC
Created attachment 98001 [details]
test slides
Comment 4 le.m.duc 2014-04-26 02:14:13 UTC
Hi, 

I confirm to have the same problem with fresh install of latest LibreOffice 4.2.3 on Ubuntu 14 (kernel 3.13.0-24-generic, x86_64).

Attached is a test slide.

Problems:
- Press F5 starts shown from the first slide
- Press Shift+F5 does not start show, only moves to first slide
- Menu item "Slide show/Start from current slide" is disabled (greyed out)


Despite the option "Tools/Options/LibreOffice Impress/General/Presentation/Always with current page" being ticked.

Thanks for your support.
Comment 5 Julien Nabet 2014-04-26 12:28:19 UTC
On pc Debian x86-64 with master sources updated today, I can reproduce this.
Comment 6 Julien Nabet 2014-04-26 12:39:30 UTC
Forget my last comment, I had just tested F5, not Shift+F5, I must wait the end of building right now.
Comment 7 JPJ 2014-04-30 16:13:04 UTC
I have the same problem with 64 bit LibreOffice 4.2.4.1 (rc 1) on 64 bit Kubuntu 12.04.4.
Comment 8 JPJ 2014-05-06 14:45:38 UTC
Also in 64 bit LibreOffice 4.2.4.2 (rc 2) on Kubuntu 12.04.4.
Comment 9 Tamás Zolnai 2014-05-30 10:54:48 UTC
*** Bug 77203 has been marked as a duplicate of this bug. ***
Comment 10 Commit Notification 2014-05-30 11:57:58 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e20876b37d203642b5aa81a2d6c93979600376ed

fdo#76953: cannot start show at selected slide



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-05-30 13:04:47 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf8517379e9fb2676b7fddcacd9bf8a0f07d32b8&h=libreoffice-4-3

fdo#76953: cannot start show at selected slide


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-05-31 10:52:59 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1747c012932151e8a46c4b89a0d530dd5018fa4&h=libreoffice-4-2

fdo#76953: cannot start show at selected slide


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-06-11 14:24:38 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a454f1f62a4e537b539d2fa0f8728c8bf5db55a0&h=libreoffice-4-2-5

fdo#76953: cannot start show at selected slide


It will be available already in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Daniel 2014-10-16 08:47:26 UTC
still not fixed in 4.2.6.3 and furthermore (that's another bug) i am not even able to customize it as in the customize / keyboard, no such option as "start presentation on current slide" exists
Comment 15 y.lemenes 2014-10-16 17:28:15 UTC
Created attachment 107941 [details]
State of the bug at October 16 2014

Version 3.5.2.2 : F5 key starts slide show at current slide
???
Version 4.3.1.2 : F5 key starts anyway at first slide
      Shift-F5 does NOT start at current slide but at the slide number defined in slideshow parameters, range "From"

That is not handy : to test a show slide by slide, direct access to current slide is necessary
Comment 16 Julien Nabet 2014-10-16 18:23:34 UTC
On pc Debian x86-64 with 4.3.2 and on Win7 with 4.3.2, slideshow always begins at first slide with F5 and begins at current slide with Shift-F5

But as soon as I define the range, Shift-F5 takes the range into account even if I disable it (by choosing "All").
I reproduced this also on pc Debian x86-64 with master sources updated today.
Comment 17 Julien Nabet 2014-10-16 19:43:32 UTC
Forgot to put NEW
Comment 18 Armin Pollak 2014-10-19 20:30:53 UTC
This bug ist fixed!
I use Version 4.3.2.2 under windows 7 and everything works as expected.

Best regards
	Armin Pollak
Comment 19 Julien Nabet 2014-10-19 20:52:27 UTC
Armin: do you mean you don't reproduce what I explained in comment 16?
Comment 20 Armin Pollak 2014-10-20 21:04:24 UTC
Hi Julien,

I use Windows 7 at current patchlevel.
I installed libre office in version: 4.3.2.2
Build-ID: edfb5295ba211bd31ad47d0bad0118690f76407d with german language pack.

The bug is fixed for me: F5 starts with current slide, shift-f5 starts presentation with first slide.

BUT if I use options for presentation (dont know how the menu item is named in the english version) and enter start with slide lets say 10, then the wrong behaviour as you described happens: F5 starts with slide 10 (the number I enter for the range) and shift-F5 always starts at slide 1 (outside range!).

But I dont use these options so I dont care :-)

The annoying bug "start with current slide with no range selection" was my pain - and this one is definitly in the current windows version of libreofice fixed.

Hope this helps.

Best regards
     Armin
Comment 21 Julien Nabet 2014-10-20 21:20:11 UTC
No problem Armin :-)
Indeed, I'm wondering if a new bugtracker should be created since the original bug could be considered as fixed.

Rob: any idea? (you're the only one quoting Impress in this page https://wiki.documentfoundation.org/QA/QA_Team)
Comment 22 Rob Snelders 2014-10-21 20:19:25 UTC
Please create a new bug. This bug is fixed as I read it (comment #20).

P.S. If it is on solved never put it back on new. Please use reopened in that case.
Comment 23 Rob Snelders 2014-10-21 20:20:54 UTC
I forgot. 

@Julien: Please create the new bug. And add the new bugnumber as "See Also" in this bug.

Thnx!
Comment 24 Julien Nabet 2014-10-21 20:30:12 UTC
Rob: just to know, may I use BSA now? (see fdo#85150)
Comment 25 Julien Nabet 2014-10-21 20:45:09 UTC
Done :-)
Comment 26 y.lemenes 2016-01-27 12:52:56 UTC
A far as version 4.4.5.2, the state of the bug has been correctly reported by  Armin Pollak 2014-10-20 21:04:24 UTC
Slideshow starts at current slide 
       as long as the menu SlideShow/Slideshow sttings has never been called
As soon as that Slideshow sttings has been called, even without any change, LibreOffice Writer keeps the slide number shown in From field and that number acts as PERMANENT start number 

When I makes the awful error to call SlideShow Settings in a valuable document, I have no other issue than starting a brand new show and copying/pasting slides from the corrupted document to the new document.

That IS really a remaining bug (or new bug)
Comment 27 Maxim Monastirsky 2016-01-27 14:07:59 UTC
(In reply to y.lemenes from comment #26)
> A far as version 4.4.5.2,
... which is already EOL, and so we don't accept bug reports against it.

> Slideshow starts at current slide 
>        as long as the menu SlideShow/Slideshow sttings has never been called
> As soon as that Slideshow sttings has been called, even without any change,
> LibreOffice Writer keeps the slide number shown in From field and that
> number acts as PERMANENT start number 
This is already fixed in Bug 85303. Please update to 5.0.x to get this bug fix.

> That IS really a remaining bug (or new bug)
You should never reopen old bugs, no matter what. In addition, if the "remaining bug" isn't exactly the same as the original one, it should _always_ go to a separate bug report.